{{
***********************************************************
*  DebugLED17Demo, needs DebugLED17.spin                  *
*  The 3 lines marked important is what to insert to yours*
*  Choice of any 3 bytes of hub addresses to be monitored *
*  hub1 to hub3 allowed to be changed during your routine *
*  Dont forget to change what CLK pin you want to use     *
***********************************************************
 }}
CON
        _clkmode = xtal1 + pll16x 'Standard clock mode * crystal frequency = 80 MHz
        _xinfreq = 5_000_000
                                                                       
var word mycnt                  'just an example
var byte myina                  'just an example

OBJ LED    : "DebugLED17"       'important
PUB DisplayDemo | hub1,hub2,hub3'important (=var long hub1,hub2...)
    LED.Display(@hub1,0{pin})   'important (send to spin part of driver)

'examples, spin is little-endian so by default you get the lower8 bits
hub1 := @mycnt+1 'keep an eye on mycnt in realtime (upper 8 bits)
hub2 := @mycnt   'keep an eye on mycnt in realtime (lower 8 bits)
hub3 := @myina   'show the status if myina, unplug usb and you will see  

repeat
 waitcnt(clkfreq/16+cnt)
 mycnt := mycnt + 3
 myina := ina>>24 'get the upper 1/4 bank of pins.
 